<html lang="en">
<head>
<title>Highlight - psgml</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="psgml">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Display.html#Display" title="Display">
<link rel="prev" href="Hiding-markup.html#Hiding-markup" title="Hiding markup">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Highlight"></a>
Previous:&nbsp;<a rel="previous" accesskey="p" href="Hiding-markup.html#Hiding-markup">Hiding markup</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Display.html#Display">Display</a>
<hr>
</div>

<!-- node-name,  next,  previous,  up -->
<h3 class="section">9.3 Highlighting markup</h3>

<p>PSGML can highlight the markup giving the markup a different <dfn>face</dfn>
(see <a href="../emacs/Faces.html#Faces">Using Multiple Typefaces</a>). 
The highlighting will only be done if the variable <code>sgml-set-face</code>
is non-<code>nil</code>.  The default settings make tags bold and comments
italic, but this can be modified with the variable
<code>sgml-markup-faces</code>.  When highlighting is on PSGML will parse after
every command until the whole buffer has been parsed or user event
occurs.

   <p><a name="index-sgml_002dclear_002dfaces-165"></a>To remove the highlighting type <kbd>M-x sgml-clear-faces</kbd>.

<div class="defun">
&mdash; User Option: <b>sgml-set-face</b><var><a name="index-sgml_002dset_002dface-166"></a></var><br>
<blockquote><p>If non-nil, psgml will set the face of parsed markup. 
</p></blockquote></div>

<div class="defun">
&mdash; User Option: <b>sgml-markup-faces</b><var><a name="index-sgml_002dmarkup_002dfaces-167"></a></var><br>
<blockquote><p>A list of markup to face mappings. 
Each element looks like <code>(</code><var>markup-type</var><code> . </code><var>face</var><code>)</code>. 
Possible values for <var>markup-type</var> is:

          <dl>
<dt><code>comment</code><dd>comment declaration
<br><dt><code>doctype</code><dd>doctype declaration
<br><dt><code>end-tag</code><dd>end-tag
<br><dt><code>ignored</code><dd>ignored marked section
<br><dt><code>ms-start</code><dd>marked section end, if not ignored
<br><dt><code>ms-end</code><dd>marked section start, if not ignored
<br><dt><code>pi</code><dd>processing instruction
<br><dt><code>sgml</code><dd>SGML declaration
<br><dt><code>start-tag</code><dd>start-tag
<br><dt><code>entity</code><dd>entity reference
<br><dt><code>shortref</code><dd>short reference
</dl>
        </p></blockquote></div>

<!--  -->
</body></html>

